CXFExtensionBundleListener (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.bus.osgi

## Class CXFExtensionBundleListener

- java.lang.Object
- - org.apache.cxf.bus.osgi.CXFExtensionBundleListener

- All Implemented Interfaces:
    `EventListener`, `org.osgi.framework.BundleListener`, `org.osgi.framework.SynchronousBundleListener`

      public class CXFExtensionBundleListener
      extends Object
      implements org.osgi.framework.SynchronousBundleListener

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `CXFExtensionBundleListener.OSGiExtension` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CXFExtensionBundleListener​(long bundleId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `bundleChanged​(org.osgi.framework.BundleEvent event)`
    `protected void` | `register​(org.osgi.framework.Bundle bundle)` |
    `void` | `registerExistingBundles​(org.osgi.framework.BundleContext context)` |
    `void` | `shutdown()` |
    `protected void` | `unregister​(long bundleId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CXFExtensionBundleListener

          public CXFExtensionBundleListener​(long bundleId)

  - ### Method Detail

    - #### registerExistingBundles

          public void registerExistingBundles​(org.osgi.framework.BundleContext context)

    - #### bundleChanged

          public void bundleChanged​(org.osgi.framework.BundleEvent event)

      Specified by:
        `bundleChanged` in interface `org.osgi.framework.BundleListener`

    - #### register

          protected void register​(org.osgi.framework.Bundle bundle)

    - #### unregister

          protected void unregister​(long bundleId)

    - #### shutdown

          public void shutdown()